openshot::Profile Class Reference

This class loads a special text-based file called a Profile. More...

`#include <Profiles.h>`

## Public Member Functions

std::string | Json () const
| Get and Set JSON methods. More...
Json::Value | JsonValue () const
| Generate Json::Value for this object. More...
| Profile (std::string path)
| Constructor for Profile. More...
void | SetJson (const std::string value)
| Load JSON string into this object. More...
void | SetJsonValue (const Json::Value root)
| Load Json::Value into this object. More...

## Public Attributes

ProfileInfo | info
| Profile data stored here. More...

## Detailed Description

This class loads a special text-based file called a Profile.

Profile data contains common video settings, such as framerate, height, width, aspect ratio, etc... All derived classes from openshot::WriterBase can load profile data using this class.

// This example demonstrates how to load a profile with this class.
Profile p("/home/jonathan/dv_ntsc_wide"); // Load the DV NTSC Widt profile data.
openshot::Profile::Profile
Profile(std::string path)
Constructor for Profile.
Definition: Profiles.cpp:38

Definition at line 82 of file Profiles.h.

## Constructor & Destructor Documentation

## Profile()

Profile::Profile | ( | std::string | path | ) |

Constructor for Profile.

Parameters

  path | The folder path / location of a profile file

Definition at line 38 of file Profiles.cpp.

## Member Function Documentation

## Json()

std::string Profile::Json | ( |  | ) | const

Get and Set JSON methods.

Generate JSON string of this object

Definition at line 136 of file Profiles.cpp.

## JsonValue()

Json::Value Profile::JsonValue | ( |  | ) | const

Generate Json::Value for this object.

Definition at line 143 of file Profiles.cpp.

Referenced by Json().

## SetJson()

void Profile::SetJson | ( | const std::string | value | ) |

Load JSON string into this object.

Definition at line 166 of file Profiles.cpp.

## SetJsonValue()

void Profile::SetJsonValue | ( | const Json::Value | root | ) |

Load Json::Value into this object.

Definition at line 183 of file Profiles.cpp.

Referenced by SetJson().

## Member Data Documentation

## info

ProfileInfo openshot::Profile::info

Profile data stored here.

Definition at line 86 of file Profiles.h.

Referenced by JsonValue(), Profile(), and SetJsonValue().

The documentation for this class was generated from the following files:

- Profiles.h
- Profiles.cpp